Package: org.codehaus.groovy.transform.sc.transformers

## [Java] Class CompareToNullExpression

- org.codehaus.groovy.transform.sc.transformers.CompareToNullExpression

- All Implemented Interfaces and Traits:
    org.objectweb.asm.Opcodes

      public class CompareToNullExpression
      extends BinaryExpression
      implements org.objectweb.asm.Opcodes

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CompareToNullExpression (Expression objectExpression, boolean compareToNull)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Expression` | `getObjectExpression()`
    `` | `public void` | `setLeftExpression(Expression expression)`
    `` | `public void` | `setRightExpression(Expression expression)`
    `` | `public void` | `setType(ClassNode type)`
    `` | `public Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BinaryExpression` | `getLeftExpression, getOperation, getRightExpression, getText, isSafe, newAssignmentExpression, newInitializationExpression, setLeftExpression, setRightExpression, setSafe, toString, transformExpression, visit`
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public CompareToNullExpression(Expression objectExpression, boolean compareToNull)

  - ### Method Detail

    - #### public Expression getObjectExpression()

    - #### @Override public void setLeftExpression(Expression expression)

    - #### @Override public void setRightExpression(Expression expression)

    - #### @Override public void setType(ClassNode type)

    - #### @Override public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override public void visit(GroovyCodeVisitor visitor)